<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCallManagerGroupReq StructType
 * @subpackage Structs
 */
class AddCallManagerGroupReq extends APIRequest
{
    /**
     * The callManagerGroup
     * @var XCallManagerGroup
     */
    public $callManagerGroup;
    /**
     * Constructor method for AddCallManagerGroupReq
     * @uses AddCallManagerGroupReq::setCallManagerGroup()
     * @param XCallManagerGroup $callManagerGroup
     */
    public function __construct(XCallManagerGroup $callManagerGroup = null)
    {
        $this
            ->setCallManagerGroup($callManagerGroup);
    }
    /**
     * Get callManagerGroup value
     * @return XCallManagerGroup|null
     */
    public function getCallManagerGroup()
    {
        return $this->callManagerGroup;
    }
    /**
     * Set callManagerGroup value
     * @param XCallManagerGroup $callManagerGroup
     * @return AddCallManagerGroupReq
     */
    public function setCallManagerGroup(XCallManagerGroup $callManagerGroup = null)
    {
        $this->callManagerGroup = $callManagerGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCallManagerGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
